#### D.5.5.6 BettiNumsQp

Procedure from library `goettsche.lib` (see goettsche_lib).

Usage:
  BettiNumsQp(r, n); n, r integers

Return:
  list of non-negative integers

Purpose:
  computes the Betti numbers of the punctual Quot-scheme of rank r on n points on a plane

Note:
  an empty list is returned if n<0 or r<=0

Example:

    LIB "goettsche.lib";
    ring r=0, (z), ls;
    // get the Betti numbers of the punctual Hilbert scheme (r=1)
    // of 3 points on a plane
    print( BettiNumsQp(1, 3) );
    ==> [1]:
    ==>    1
    ==> [2]:
    ==>    0
    ==> [3]:
    ==>    1
    ==> [4]:
    ==>    0
    ==> [5]:
    ==>    1

User manual for Singular version 4.4.1, 2025, generated by texi2html.